Subject: "sed" bug?
From: "D. Richard Hipp" <[email-masked]>
To: [email-masked]
Date: Wed, 16 Jun 1999 15:01:53 -0400

The following script works under Linux but fails on
Cygwin20 running under Windows95:

  #! /bin/sh
  echo 'E:/a/b/c' | sed 's,^\([a-zA-Z]\):/,//\1/,'

Under Linux the output is "//E/a/b/c".  Under Cygwin20,
the output is "E:/a/b/c".  That's if I run the script from
a file.  (The same file -- samba mounted off of the Linux
machine.)  If I type the command in directly at the
shell prompt, it works correctly on both machines.

Obviously, I'm trying to changes a pathname to the Cygwin
format from the windows format.  This is in the middle of
a "configure" script.  I've tried lots of things to work
around this, but with no success.  The problem seems to be
in the "\(" and "\)" of the expression.

Does anybody know of a work-around?  Am I doing something
stupid here?

Replys to [email-masked] are appreciated.
-- 
D. Richard Hipp -- [email-masked] -- http://www.hwaci.com/drh/

--
Want to unsubscribe from this list?
Send a message to [email-masked]